Bug 194472 - [new port] games/linux-unigine-heaven
Summary: [new port] games/linux-unigine-heaven
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2014-10-19 21:03 UTC by Hannes Hauswedell
Modified: 2016-02-09 03:54 UTC (History)
2 users (show)

See Also:


Attachments
shar (7.33 KB, text/plain)
2014-10-19 21:03 UTC, Hannes Hauswedell
no flags Details
updated shar (6.79 KB, text/plain)
2015-03-12 22:19 UTC, Hannes Hauswedell
no flags Details
updated shar (version 3) (7.42 KB, text/plain)
2015-03-18 19:04 UTC, Hannes Hauswedell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hannes Hauswedell 2014-10-19 21:03:20 UTC
Created attachment 148480 [details]
shar

port of the famous visual benchmark. Good for testing opengl capabilites of drivers (and nice to look at).

redports log: https://redports.org/buildarchive/20141019130851-08848/
(please note that redports reports /usr/local/bin being removed, but I think that is related to pkg-1.3.8 which is reported to break the leftovers check of redports)
Comment 1 John Marino freebsd_committer 2014-11-01 10:18:45 UTC
note that redports is considered 100% worthless right now.  You need be submitting poudriere logs if you can.  (or lessly portlint ; make check-plist ; make stage-qa output)

I see a couple issues with the shar too.

1) you are using the obsolete @dirrm* lines
2) your do-install commands are masked with "@", that's not allowed except on mkdir commands
Comment 2 Hannes Hauswedell 2014-11-10 22:25:20 UTC
I hope to have time to fix this next weekend (just so you know that I haven't forgotten about it).
Comment 3 John Marino freebsd_committer 2015-02-06 16:08:15 UTC
move than 3 months has passed, so I'm going to close the PR.  Feel free to reopen it when there's a new attachment ready.
Comment 4 Hannes Hauswedell 2015-03-12 22:19:10 UTC
Created attachment 154255 [details]
updated shar
Comment 5 Hannes Hauswedell 2015-03-12 22:23:16 UTC
I have attached a new shar and reopened. 

Here's the requested information:

root@fbsdmain /usr/ports/games/linux-unigine-heaven # portlint; make check-plist; make stage-qa
WARN: Makefile: [51]: possible use of "${CHMOD}" found. Use @(owner,group,mode) syntax or @owner/@group operators in pkg-plist instead.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 2 warnings found.
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====> Running Q/A tests (stage-qa)


Concering the first warning I couldn't find correct syntax in the porter's handbook or google, please point me to it or correct it in-place :)

Thanks!
Comment 6 John Marino freebsd_committer 2015-03-16 15:28:38 UTC
It looks pretty good!

See /usr/ports/CHANGES entry 20140922 for @dir keyword

specifically, the portlint error wants you to change:

%%DATADIR%%/bin/browser_x64
%%DATADIR%%/bin/browser_x86
%%DATADIR%%/bin/heaven_x64
%%DATADIR%%/bin/heaven_x86

to

@(,,755) %%DATADIR%%/bin/browser_x64
@(,,755) %%DATADIR%%/bin/browser_x86
@(,,755) %%DATADIR%%/bin/heaven_x64
@(,,755) %%DATADIR%%/bin/heaven_x86

or 

@mode 755
%%DATADIR%%/bin/browser_x64
%%DATADIR%%/bin/browser_x86
%%DATADIR%%/bin/heaven_x64
%%DATADIR%%/bin/heaven_x86
@mode


However, what you have is probably acceptable as well.  Normally you'd use INSTALL_PROGRAM but in this case you didn't get a chance due to the COPYSHARE_TREE command.

I'd say try the first one and see if that does the correct thing and makes portlint happy.  If it does, submit a new shar and I'll promote it.
Comment 7 Hannes Hauswedell 2015-03-18 19:04:32 UTC
Created attachment 154490 [details]
updated shar (version 3)

one portlint warning fixed.
Comment 8 Hannes Hauswedell 2015-03-18 19:05:29 UTC
Thanks that did the job :)
Comment 9 John Marino freebsd_committer 2015-03-18 19:08:17 UTC
Okay, thanks.  I'll promote the PR now.
Comment 10 Denis Akiyakov 2015-04-02 09:27:12 UTC
Hello. I was interested to run unigine test and I tryed to run it, but without success.

this is the output:

% linux-unigine-heaven
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number


the menu starts fine. The following output appears after I pressed "Run":


Loading "/usr/local/share/unigine-heaven/bin/../data/heaven_4.0.cfg"...
Loading "libGPUMonitor_x86.so"...
Loading "libGL.so.1"...
Loading "libopenal.so.1"...
Assertion 'pthread_mutex_unlock(&m->mutex) == 0' failed at pulsecore/mutex-posix.c:108, function pa_mutex_unlock(). Aborting.

My linux* ports:
% pv | grep 'linux'
linux-c6-0.2                       =   up-to-date with index
linux-c6-alsa-lib-1.0.22_2         =   up-to-date with index
linux-c6-alsa-plugins-oss-1.0.21_3 =   up-to-date with index
linux-c6-alsa-plugins-pulseaudio-1.0.21_2 =   up-to-date with index
linux-c6-alsa-utils-1.0.22_1       =   up-to-date with index
linux-c6-arts-1.5.10_1             =   up-to-date with index
linux-c6-aspell-0.60.6_1           =   up-to-date with index
linux-c6-atk-1.30.0                =   up-to-date with index
linux-c6-avahi-libs-0.6.25_1       =   up-to-date with index
linux-c6-cairo-1.8.8_1             =   up-to-date with index
linux-c6-cups-libs-1.4.2_1         =   up-to-date with index
linux-c6-curl-7.19.7_1             =   up-to-date with index
linux-c6-cyrus-sasl2-2.1.23_1      =   up-to-date with index
linux-c6-dbus-glib-0.86_1          =   up-to-date with index
linux-c6-dbus-libs-1.2.24_1        =   up-to-date with index
linux-c6-devtools-6.6_3            =   up-to-date with index
linux-c6-esound-0.2.41_1           =   up-to-date with index
linux-c6-expat-2.0.1_1             =   up-to-date with index
linux-c6-flac-1.2.1_2              =   up-to-date with index
linux-c6-flashplugin-11.2r202.451_1 =   up-to-date with index
linux-c6-fontconfig-2.8.0_1        =   up-to-date with index
linux-c6-gdk-pixbuf2-2.24.1        =   up-to-date with index
linux-c6-glx-utils-10.1.2          =   up-to-date with index
linux-c6-gnutls-2.8.5_1            =   up-to-date with index
linux-c6-gtk2-2.24.23_1            =   up-to-date with index
linux-c6-hicolor-icon-theme-0.5_1  =   up-to-date with index
linux-c6-jpeg-1.2.1_1              =   up-to-date with index
linux-c6-libGLU-10.1               =   up-to-date with index
linux-c6-libasyncns-0.8_1          =   up-to-date with index
linux-c6-libaudiofile-0.2.6_1      =   up-to-date with index
linux-c6-libgcrypt-1.4.5_2         =   up-to-date with index
linux-c6-libgfortran-4.4.7         =   up-to-date with index
linux-c6-libglade2-2.6.4_1         =   up-to-date with index
linux-c6-libgpg-error-1.7_1        =   up-to-date with index
linux-c6-libogg-1.1.4_1            =   up-to-date with index
linux-c6-libpciaccess-0.13.3       =   up-to-date with index
linux-c6-libsigc++20-2.2.4.2       =   up-to-date with index
linux-c6-libsndfile-1.0.20_2       =   up-to-date with index
linux-c6-libssh2-1.4.2_1           =   up-to-date with index
linux-c6-libtasn1-2.3_1            =   up-to-date with index
linux-c6-libtheora-1.1.0_1         =   up-to-date with index
linux-c6-libv4l-0.6.3_1            =   up-to-date with index
linux-c6-libvorbis-1.2.3_1         =   up-to-date with index
linux-c6-libxml2-2.7.6_1           =   up-to-date with index
linux-c6-mikmod-3.2.0_1            =   up-to-date with index 
linux-c6-nas-libs-1.9.1_1          =   up-to-date with index
linux-c6-ncurses-base-5.7_1        =   up-to-date with index
linux-c6-nspr-4.10.6               =   up-to-date with index
linux-c6-nss-3.16.1                =   up-to-date with index
linux-c6-openal-soft-1.12.854_1    =   up-to-date with index
linux-c6-openldap-2.4.39           =   up-to-date with index
linux-c6-openmotif-2.3.3_1         =   up-to-date with index
linux-c6-openssl-1.0.1e_4          =   up-to-date with index
linux-c6-openssl-compat-0.9.8e_1   =   up-to-date with index
linux-c6-pango-1.28.1_1            =   up-to-date with index
linux-c6-png-1.2.49_1              =   up-to-date with index 
linux-c6-pulseaudio-libs-0.9.21_2  =   up-to-date with index                                      
linux-c6-pulseaudio-utils-0.9.21_1 =   up-to-date with index
linux-c6-qt47-4.7.2_1              =   up-to-date with index     
linux-c6-qt47-webkit-4.7.2_1       =   up-to-date with index   
linux-c6-qt47-x11-4.7.2_1          =   up-to-date with index
linux-c6-sdl-1.2.14_1              =   up-to-date with index
linux-c6-sdl_image-1.2.12_1        =   up-to-date with index
linux-c6-sdl_mixer-1.2.11_1        =   up-to-date with index
linux-c6-sdl_ttf-2.0.11            =   up-to-date with index
linux-c6-sqlite-3.6.20_1           =   up-to-date with index
linux-c6-tcl85-8.5.7_1             =   up-to-date with index
linux-c6-tcp_wrappers-libs-7.6_1   =   up-to-date with index
linux-c6-tiff-3.9.4_1              =   up-to-date with index
linux-c6-tk85-8.5.7_2              =   up-to-date with index
linux-c6-xorg-libs-7.4_1           =   up-to-date with index
linux-tor-browser-4.5.a4           ?   orphaned: www/linux-tor-browser
linux-unigine-heaven-4.0           ?   orphaned: games/linux-unigine-heaven
linux_base-c6-6.6_3                =   up-to-date with index
linuxlibertine-g-20120116_1        =   up-to-date with index

% uname -a
FreeBSD sohaam.webstream 10.1-STABLE FreeBSD 10.1-STABLE #2 r280677: Thu Mar 26 08:24:21 NOVT 2015     root@sohaam.webstream:/usr/obj/usr/src/sys/CORE  amd64
Comment 11 Hannes Hauswedell 2015-04-07 17:57:49 UTC
Hm, looks like pulseaudio is causing it. Do you have anything else that actually requires it? Possibly creating an .asoundrc could force it to use OSS, even if pulseaudio is installed.
Can you try that?
Comment 12 Denis Akiyakov 2015-04-08 03:01:27 UTC
Hello, I didn't have pulseaudio installed.

I successfully ran benchmark after adding 'drivers = oss' to /compat/linux/etc/openal/alsoft.conf
Comment 13 Hannes Hauswedell 2015-04-08 18:26:42 UTC
Your package list up there showed three pulseaudio related packages, thats why I asked. If they are not installed you don't need the override, I think. But one might want to contact the linux-openal maintainers to always make oss default, I think most people will prefer that.
Comment 14 Denis Akiyakov 2015-04-09 02:47:14 UTC
Hello, I've added a new commit as you advised: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199306
Comment 15 Hannes Hauswedell 2015-06-07 21:52:27 UTC
I understood the pulseaudio issue to not be an issue for this port or do you disagree? Is there anything else blocking this port?

Thanks!
Comment 16 Kurt Jaeger freebsd_committer 2016-02-09 03:50:02 UTC
Testbuilds are fine.
Comment 17 commit-hook freebsd_committer 2016-02-09 03:54:16 UTC
A commit references this bug:

Author: pi
Date: Tue Feb  9 03:53:53 UTC 2016
New revision: 408535
URL: https://svnweb.freebsd.org/changeset/ports/408535

Log:
  New port: games/linux-unigine-heaven

  Heaven Benchmark immerses a user into a magical steampunk world of
  shiny brass, wood and gears. Nested on flying islands, a tiny village
  with its cozy, sun-heated cobblestone streets, an elaborately crafted
  dirigible above the expanse of fluffy clouds, and a majestic dragon
  on the central square gives a true sense of adventure. An interactive
  experience with fly-by and walk-through modes allows for exploring
  all corners of this world powered by the cutting-edge UNIGINE Engine
  that leverages the most advanced capabilities of graphics APIs and
  turns this benchmark into a visual masterpiece.

  This port includes the linux-binaries of the basic (free-to-use)
  version of the benchmark.

  WWW: http://unigine.com/products/heaven/

  PR:		194472
  Submitted by:	Hannes Hauswedell <h2+fbsdports@fsfe.org>
  Reviewed by:	marino, d.akiyakov@gmail.com

Changes:
  head/games/Makefile
  head/games/linux-unigine-heaven/
  head/games/linux-unigine-heaven/Makefile
  head/games/linux-unigine-heaven/distinfo
  head/games/linux-unigine-heaven/pkg-descr
  head/games/linux-unigine-heaven/pkg-plist
Comment 18 Kurt Jaeger freebsd_committer 2016-02-09 03:54:58 UTC
Committed, thanks.